# Author: Plagiatus
# 
# Desc: gets called when the game is over
# 
# Called by: crafting_game/timer or crafting_game:quests/next_quest

# calulate winner
scoreboard players set #cg_tmp tmp 0

execute @a[tag=cg_ingame] ~ ~ ~ scoreboard players operation @s tmp = @s cg_points
execute @a[tag=cg_ingame] ~ ~ ~ scoreboard players operation #cg_tmp tmp > @s cg_points
execute @a[tag=cg_ingame] ~ ~ ~ scoreboard players operation @s tmp -= #cg_tmp tmp

scoreboard players tag @a[tag=cg_ingame,score_tmp_min=0,score_tmp=0] add cg_winner

# announce winner
function text:crafting_game/announce_winner

# remove winner tag
scoreboard players tag @a[tag=cg_winner] remove cg_winner

# remove otther tag(s)
scoreboard players tag @a[tag=cg_ingame] remove cg_ingame

# remove tag to make the main stop
scoreboard players tag @e[type=armor_stand,tag=MASTER] remove _cg_

# kill all remaining mobs & items 
tp @e[type=item,x=-508,y=111,z=-459,r=100] ~ -200 ~
tp @e[type=chicken,x=-508,y=111,z=-459,r=100] ~ -200 ~
tp @e[type=spider,x=-508,y=111,z=-459,r=100] ~ -200 ~
tp @e[type=rabbit,x=-508,y=111,z=-459,r=100] ~ -200 ~
tp @e[type=cow,x=-508,y=111,z=-459,r=100] ~ -200 ~

# reset trees
execute @e[type=area_effect_cloud,tag=cg_tree] ~ ~ ~ setblock ~ ~-3 ~ redstone_block

# reset furnances
execute @e[type=area_effect_cloud,tag=cg_furnace] ~ ~ ~ blockdata ~ ~ ~ {Items:[]}

# reset difficulty
difficulty peaceful

# gamerule reset 
gamerule doTileDrops false
gamerule doMobLoot false
gamerule keepInventory true

scoreboard objectives setdisplay sidebar

# call main gameover function
function lobby:gameover
