# Author: Kooleyy
# 
# Desc: handle the crafting game commands
# 
# Called by: map/main

##  Scoreboard function  					
scoreboard players add @e[type=armor_stand,tag=MASTER] cg_regenTimer 1
execute @e[type=armor_stand,tag=MASTER,score_cg_regenTimer_min=20] ~ ~ ~ function crafting_game:grow

##  Detecting if farmland needs to be placed
execute @e[type=area_effect_cloud,tag=cg_farmland] ~ ~ ~ detect ~ ~-1 ~ dirt * setblock ~ ~-1 ~ farmland

## Regenerate Ores
function crafting_game:regenerate

clear @a[tag=cg_clearMe]
execute @a[tag=cg_clearMe] ~ ~ ~ function crafting_game:items/give_items
scoreboard players tag @a[tag=cg_clearMe] remove cg_clearMe

# Handle tools & thrown items
execute @e[type=item,tag=!cg_tested] ~ ~ ~ function crafting_game:items/kill_items
execute @a[score_cg_deathT_min=10,score_cg_deathT=10] ~ ~ ~ function crafting_game:items/give_items

# General Gametimer
function crafting_game:timer

# Make sure players can't enter the lair of other players
function crafting_game:base_protection

# Make furnace instant
execute @e[type=area_effect_cloud,tag=cg_furnace] ~ ~ ~ blockdata ~ ~ ~ {CookTime:199s,CookTimeTotal:200s}

# teleport players in spectator
tp @a[m=spectator,x=-508,y=111,z=-459,rm=100] -508 122 -424 180 20

# resistance effect if option is set
execute @e[type=armor_stand,name=MASTER,tag=cg_noDamage] ~ ~ ~ effect @a resistance 10 10 true