# Author: Plagiatus
# 
# Desc: calculate the next quest the player has to do. if 0, end the game 
# 
# Called by: all the functions in crafting_game:detect

# count up points
scoreboard players add @s cg_points 1
scoreboard players add @s cg_points_disp 1

scoreboard players operation @s cg_quests /= #60 constant
scoreboard players operation @s cg_currentQuest = @s cg_quests
scoreboard players operation @s cg_currentQuest %= #60 constant

# get the other quests
function crafting_game:quests/load_quests if @s[score_cg_currentQuest=0]

# grant the recipes (if that is enabled)
execute @s[score_cg_currentQuest_min=1] ~ ~ ~ function crafting_game:quests/handle_recipe if @e[type=armor_stand,name=MASTER,tag=cg_showRecipes]

# tellraws for what to do next
function text:crafting_game/quest

# Player finished his quests and is done with the game.

function crafting_game:gameover if @s[score_cg_currentQuest=0] 