# Author: Kooleyy
# 
# Desc: start this minigame
# 
# Called by: sign in the game lobby

gamemode adventure @a

scoreboard objectives add cg_currentQuest dummy
scoreboard objectives add cg_points dummy
scoreboard objectives add cg_quests dummy
scoreboard objectives add cg_quests2 dummy
scoreboard objectives add cg_quests3 dummy
scoreboard objectives add cg_quests4 dummy
scoreboard objectives add cg_timer dummy
scoreboard objectives add cg_regenTimer dummy
scoreboard objectives add cg_saturation dummy
# scoreboard objectives add cg_death deathCount
scoreboard objectives add cg_deathT stat.timeSinceDeath
scoreboard objectives add cg_points_disp dummy §6Finished Recipes

scoreboard players reset @a cg_points
scoreboard players reset * cg_points_disp
scoreboard players set @a cg_points_disp 0
scoreboard players set @a cg_points 0
scoreboard players set @a cg_saturation 0
scoreboard players set @a cg_deathT 20
# scoreboard players reset @a cg_death
scoreboard players reset @a cg_quests
scoreboard players reset @a cg_quests2
scoreboard players reset @a cg_quests3
scoreboard players reset @a cg_quests4

scoreboard objectives setdisplay sidebar cg_points_disp

# add tag to indicate the player is in this game
scoreboard players tag @a add cg_ingame

# init timer; one minute per recipe
scoreboard players set @e[type=armor_stand,tag=MASTER] cg_timer 2400
scoreboard players operation @e[type=armor_stand,tag=MASTER] cg_timer *= #cg_pointLimit cg_points

# set difficulty so spiders spawn
difficulty easy

# gamerule setup
gamerule doTileDrops true
gamerule doMobLoot true
gamerule keepInventory false

# set tag to make the main run
scoreboard players tag @e[type=armor_stand,tag=MASTER] add _cg_

# give players some info
function text:crafting_game/start_game

# remove recipes from recipe book
recipe take @s *

# Choose random recipes
function crafting_game:quests/choose_quests

# put players in teams with different colors
function crafting_game:start/fill_teams

# give players items
execute @a[tag=cg_ingame] ~ ~ ~ function crafting_game:items/give_items

# teleport players to their starting homes & set their spawnpoint
function crafting_game:start/teleport_players