# Author: @bananenbroek4
# 
# Desc: Initialize end of round
# 
# Called by: egg_decoration:game/round/main

scoreboard players tag @e[name=ed_root] remove __round-in_progress
scoreboard players tag @e[name=ed_root] remove __round-end-init
scoreboard players tag @e[name=ed_root] add __round-end

scoreboard players set @e[name=ed_root] ed_timer 160

execute @a[tag=_inGame] ~ ~ ~ title @s subtitle [{"text":""}]

# Tell players that painting has stopped
function egg_decoration:game/round/end/egg_completed if @e[name=ed_root,tag=__round-end-egg_completed]
execute @a[tag=_inGame] ~ ~ ~ function text:egg_decoration/game/round/end/init


# Display score objective on sidebar
scoreboard objectives add ed_obj_score dummy §l§n§3Egg Decoration §bScores
scoreboard objectives setdisplay sidebar ed_obj_score

# Update players cores
execute @e[name=ed_marker_plot,tag=_active] ~-15 0 ~-16 scoreboard players operation @p[dx=31,dy=31,dz=31,tag=_inGame] ed_obj_score += @s ed_tmp1

# Remove this player's paint
execute @a[tag=_inGame] ~ ~ ~ function egg_decoration:player/clear_paint

execute @a[tag=_inGame] ~ ~ ~ function text:egg_decoration/game/round/end/init
execute @a[tag=_inGame] ~ ~ ~ function sounds:egg_decoration/game/round/end/init