# Author: @bananenbroek4
# 
# Desc: Ran when a round is in progress
# 
# Called by: egg_decoration:game/round/in_progress/main

# Enable egg decoration system
execute @a[tag=_inGame] ~ ~ ~ function egg_decoration:player/test_place_paint

scoreboard players remove @e[name=ed_root,score_ed_timer_min=0] ed_timer 1

scoreboard players operation @e[name=ed_root] ed_tmp1 = @e[name=ed_root] ed_timer
scoreboard players operation @e[name=ed_root] ed_tmp1 %= #20 constant
execute @e[name=ed_root,score_ed_tmp1_min=0,score_ed_tmp1=0] ~ ~ ~ function egg_decoration:egg/compare_with_template/init

scoreboard players tag @e[name=ed_root,score_ed_timer_min=0,score_ed_timer=0] add __round-end-init

scoreboard players operation #ed_timer_second ed_timer = @e[name=ed_root] ed_timer
scoreboard players operation #ed_timer_second ed_timer /= #20 constant
scoreboard players operation @e[name=ed_root] ed_tmp2 = @e[name=ed_root] ed_timer
scoreboard players operation @e[name=ed_root] ed_tmp2 %= #20 constant

execute @e[name=ed_root,score_ed_timer_min=1800,score_ed_timer=1800] ~ ~ ~ execute @a[tag=_inGame] ~ ~ ~ function text:egg_decoration/game/round/in_progress/countdown
execute @e[name=ed_root,score_ed_timer_min=1200,score_ed_timer=1200] ~ ~ ~ execute @a[tag=_inGame] ~ ~ ~ function text:egg_decoration/game/round/in_progress/countdown
execute @e[name=ed_root,score_ed_timer_min=600,score_ed_timer=600] ~ ~ ~ execute @a[tag=_inGame] ~ ~ ~ function text:egg_decoration/game/round/in_progress/countdown
execute @e[name=ed_root,score_ed_timer_min=200,score_ed_timer=200] ~ ~ ~ execute @a[tag=_inGame] ~ ~ ~ function text:egg_decoration/game/round/in_progress/countdown
execute @e[name=ed_root,score_ed_timer_min=20,score_ed_timer=100,score_ed_tmp2_min=0,score_ed_tmp2=0] ~ ~ ~ execute @a[tag=_inGame] ~ ~ ~ function text:egg_decoration/game/round/in_progress/countdown

execute @a[tag=_inGame] ~ ~ ~ scoreboard players tag @e[type=item,r=4,c=1] add ed_item_wool {Item:{id:"minecraft:wool"}}
execute @a[tag=_inGame] ~ ~ ~ entitydata @e[type=item,tag=ed_item_wool,r=4,c=1] {PickupDelay:0s}
execute @a[tag=_inGame] ~ ~ ~ tp @e[type=item,tag=ed_item_wool,r=4,c=1]

# MAX Score: 61