# Author: @bananenbroek4
# 
# Desc: Initiate countdown to game start
# 
# Called by: egg_decoration:game/main


scoreboard players tag @e[name=ed_root] remove __game-start-init
scoreboard players tag @e[name=ed_root] add __game-start
scoreboard players tag @e[name=ed_root] add __game

scoreboard players set @e[name=ed_root] ed_timer 300

# Clear lobby board
fill -493 22 -1 -492 24 1 air
kill @e[name=lobbyMessageBoard,type=armor_stand,x=-492,y=21,z=0,dy=1]
kill @e[type=item_frame,tag=__if_interface,x=-493,y=21,z=0,dy=3]

scoreboard players tag @a[tag=_inGame] remove _inGame
execute @e[name=ed_marker_plot] ~-15 ~-15 ~-15 scoreboard players tag @a[dx=31,dy=31,dz=31] add _inGame

scoreboard players tag @a remove _teleported
execute @e[type=area_effect_cloud,name=ed_marker_plot] ~ ~ ~ function egg_decoration:game/start/teleport_player_to_plot

execute @a[tag=_inGame] ~ ~ ~ function text:egg_decoration/game/start/welcome
execute @a[tag=_inGame] ~ ~ ~ function sounds:misc/chat_message

scoreboard players tag @e[type=armor_stand,tag=MASTER] add _ed_