# Author: Etex
#
# Desc: loop function for Egg hunt
#
# Called by: ran from main loop

#Start
execute @e[type=area_effect_cloud,name=eh_timer,score_eh_timer_min=3560] ~ ~ ~ effect @a[team=eh_players] minecraft:invisibility 1 1 true
execute @e[type=area_effect_cloud,name=eh_timer,score_eh_timer_min=3560] ~ ~ ~ tp @a[team=eh_players] @e[type=area_effect_cloud,name=eh_arena]

#Scoreboards
scoreboard players add @a[team=eh_players,score_eh_egg_broken_min=1] eh_in_basket 1
scoreboard players set @a[team=eh_players] eh_egg_broken 0

#Egg hot-cold sound indicator
execute @e[type=area_effect_cloud,name=eh_arena_center,tag=egg_sounds_enabled] ~ ~ ~ scoreboard players set @a[team=eh_players] eh_radius 100
execute @e[type=area_effect_cloud,name=eh_arena_center,tag=egg_sounds_enabled] ~ ~ ~ execute @a[team=eh_players] ~ ~ ~ execute @e[type=area_effect_cloud,tag=eh_egg_marker,r=15] ~ ~ ~ function egg_hunt:main/egg_radius
execute @e[type=area_effect_cloud,name=eh_arena_center,tag=egg_sounds_enabled] ~ ~ ~ execute @a[team=eh_players] ~ ~ ~ execute @e[type=area_effect_cloud,tag=eh_egg_marker,r=15] ~ ~ ~ function egg_hunt:main/egg_sound

#Found egg
execute @a[team=eh_players] ~ ~ ~ execute @e[r=5,type=area_effect_cloud,tag=eh_egg_marker] ~ ~ ~ function egg_hunt:main/egg_found

#Timer
execute @e[type=area_effect_cloud,name=eh_timer] ~ ~ ~ function egg_hunt:main/timer

#Basket
execute @a[team=eh_players,score_eh_in_basket_min=0,score_eh_in_basket=0] ~ ~ ~ function egg_hunt:main/basket/0
execute @a[team=eh_players,score_eh_in_basket_min=1,score_eh_in_basket=1] ~ ~ ~ function egg_hunt:main/basket/1
execute @a[team=eh_players,score_eh_in_basket_min=2,score_eh_in_basket=2] ~ ~ ~ function egg_hunt:main/basket/2
execute @a[team=eh_players,score_eh_in_basket_min=3,score_eh_in_basket=3] ~ ~ ~ function egg_hunt:main/basket/3
execute @a[team=eh_players,score_eh_in_basket_min=4,score_eh_in_basket=4] ~ ~ ~ function egg_hunt:main/basket/4
execute @a[team=eh_players,score_eh_in_basket_min=5,score_eh_in_basket=5] ~ ~ ~ function egg_hunt:main/basket/full_basket

#Egg deposit
execute @e[type=villager,name=eh_egg_deposit] ~ ~ ~ execute @a[team=eh_players,r=5] ~ ~ ~ function egg_hunt:main/egg_deposit

#Game end
execute @e[type=area_effect_cloud,name=eh_timer,score_eh_timer=400,tag=!eh_noEggs] ~ ~ ~ function egg_hunt:end/time_running_out
scoreboard players set @e[type=area_effect_cloud,name=eh_timer] tmp 0
execute @e[type=area_effect_cloud,tag=eh_egg_marker] ~ ~ ~ scoreboard players add @e[type=area_effect_cloud,name=eh_timer] tmp 1
execute @e[type=area_effect_cloud,name=eh_timer,score_tmp=0,score_tmp_min=0,tag=!eh_noTime] ~ ~ ~ function egg_hunt:end/eggs_ran_out

#Misc
execute @e[type=area_effect_cloud,name=eh_arena_center] ~ ~ ~ kill @e[r=100,type=item]

#Spectators
execute @e[type=area_effect_cloud,name=eh_arena_center] ~ ~15 ~ tp @a[rm=80,m=3] ~ ~ ~ 