# Author: Plagiatus
#
# Desc: checks whether the players that should have a rabbit in their hands still have one and otherwise set them back to empty.
#
# Called by: rabbit_hunt/main

execute @a[tag=rh_holdsRabbit] ~ ~ ~ clear @s golden_hoe -1 0
scoreboard players tag @a[tag=rh_holdsRabbit,score_rh_hoeCount=8] add rh_notEnoughRabbits

scoreboard players tag @a[tag=rh_holdsRabbit,score_rh_hoeCount_min=9] add rh_emptyHand
scoreboard players tag @a[tag=rh_holdsRabbit,score_rh_hoeCount_min=9] remove rh_emptyHand {SelectedItem:{}}
scoreboard players tag @a[tag=rh_emptyHand] add rh_offHand {Inventory:[{Slot:-106b,id:"minecraft:golden_hoe"}]}

execute @a[tag=rh_emptyHand] ~ ~ ~ execute @s[tag=!rh_offHand] ~ ~ ~ execute @s[tag=!rh_notEnoughRabbits] ~ ~ ~ execute @s[tag=rh_rabbit0] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:0}
execute @a[tag=rh_emptyHand] ~ ~ ~ execute @s[tag=!rh_offHand] ~ ~ ~ execute @s[tag=!rh_notEnoughRabbits] ~ ~ ~ execute @s[tag=rh_rabbit1] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:1}
execute @a[tag=rh_emptyHand] ~ ~ ~ execute @s[tag=!rh_offHand] ~ ~ ~ execute @s[tag=!rh_notEnoughRabbits] ~ ~ ~ execute @s[tag=rh_rabbit2] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:2}
execute @a[tag=rh_emptyHand] ~ ~ ~ execute @s[tag=!rh_offHand] ~ ~ ~ execute @s[tag=!rh_notEnoughRabbits] ~ ~ ~ execute @s[tag=rh_rabbit3] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:3}
execute @a[tag=rh_emptyHand] ~ ~ ~ execute @s[tag=!rh_offHand] ~ ~ ~ execute @s[tag=!rh_notEnoughRabbits] ~ ~ ~ execute @s[tag=rh_rabbit4] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:4}
execute @a[tag=rh_emptyHand] ~ ~ ~ execute @s[tag=!rh_offHand] ~ ~ ~ execute @s[tag=!rh_notEnoughRabbits] ~ ~ ~ execute @s[tag=rh_rabbit5] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:5}
execute @a[tag=rh_emptyHand] ~ ~ ~ execute @s[tag=!rh_offHand] ~ ~ ~ execute @s[tag=!rh_notEnoughRabbits] ~ ~ ~ execute @s[tag=rh_rabbitT] ~ ~ ~ summon rabbit ~ ~ ~ {CustomName:"Toast"}

execute @a[tag=rh_emptyHand] ~ ~ ~ execute @s[tag=!rh_offHand] ~ ~ ~ function rabbit_hunt:remove_rabbit
execute @a[tag=rh_notEnoughRabbits] ~ ~ ~ function rabbit_hunt:remove_rabbit


scoreboard players tag @a[tag=rh_emptyHand] remove rh_emptyHand
scoreboard players tag @a[tag=rh_offHand] remove rh_offHand
scoreboard players tag @a[tag=rh_notEnoughRabbits] remove rh_notEnoughRabbits
