# Author: Plagiatus
#
# Desc: calculates the winners of the game
#
# Called by: rabbit_hunt/options/swap_time_points

scoreboard players operation #rh_tmp rh_timer = #rh_timeLimit rh_timer
scoreboard players operation #rh_tmp rh_timer /= #1200 constant

blockdata ~ ~ ~ {Text1:"{\"text\":\"Timelimit:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function rabbit_hunt:options/swap_time_points\"},\"bold\":true,\"color\":\"gold\"}",Text2:"",Text3:"[\"\",{\"score\":{\"name\":\"#rh_tmp\",\"objective\":\"rh_timer\"},\"color\":\"dark_green\"},{\"text\":\" Minutes\",\"color\":\"dark_green\"}]"}
blockdata ~1 ~ ~ {Text1:"{\"text\":\" \",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function rabbit_hunt:options/remove_minute\"}}",Text2:"[\"\",{\"text\":\"<\",\"color\":\"dark_red\"}]",Text3:"[\"\",{\"text\":\"-1 Minute\",\"color\":\"dark_red\"}]"}
blockdata ~-1 ~ ~ {Text1:"{\"text\":\" \",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function rabbit_hunt:options/add_minute\"}}",Text2:"[\"\",{\"text\":\">\",\"color\":\"dark_green\"}]",Text3:"[\"\",{\"text\":\"+1 Minute\",\"color\":\"dark_green\"}]"}
blockdata ~2 ~ ~ {Text1:"{\"text\":\" \",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function rabbit_hunt:options/remove_minutes\"}}",Text2:"[\"\",{\"text\":\"<<<\",\"color\":\"dark_red\"}]",Text3:"[\"\",{\"text\":\"-5 Minutes\",\"color\":\"dark_red\"}]"}
blockdata ~-2 ~ ~ {Text1:"{\"text\":\" \",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function rabbit_hunt:options/add_minutes\"}}",Text2:"[\"\",{\"text\":\">>>\",\"color\":\"dark_green\"}]",Text3:"[\"\",{\"text\":\"+5 Minutes\",\"color\":\"dark_green\"}]"}

scoreboard players operation @e[type=armor_stand,tag=MASTER] tmp = #rh_tmp rh_timer
execute @e[type=armor_stand,tag=MASTER,score_tmp=1] ~ ~ ~ execute @e[type=area_effect_cloud,tag=rh_optionMarker] ~ ~ ~ blockdata ~1 ~ ~ {Text1:"",Text2:"[\"\",{\"text\":\"<\",\"color\":\"gray\"}]",Text3:"[\"\",{\"text\":\"-1 Minute\",\"color\":\"gray\"}]"}
execute @e[type=armor_stand,tag=MASTER,score_tmp=1] ~ ~ ~ execute @e[type=area_effect_cloud,tag=rh_optionMarker] ~ ~ ~ blockdata ~ ~ ~ {Text1:"{\"text\":\"Timelimit:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function rabbit_hunt:options/swap_time_points\"},\"bold\":true,\"color\":\"gold\"}",Text2:"",Text3:"[\"\",{\"score\":{\"name\":\"#rh_tmp\",\"objective\":\"rh_timer\"},\"color\":\"dark_green\"},{\"text\":\" Minute\",\"color\":\"dark_green\"}]"}
execute @e[type=armor_stand,tag=MASTER,score_tmp=5] ~ ~ ~ execute @e[type=area_effect_cloud,tag=rh_optionMarker] ~ ~ ~ blockdata ~2 ~ ~ {Text1:"",Text2:"[\"\",{\"text\":\"<<<\",\"color\":\"gray\"}]",Text3:"[\"\",{\"text\":\"-5 Minutes\",\"color\":\"gray\"}]"}
execute @e[type=armor_stand,tag=MASTER,score_tmp_min=20] ~ ~ ~ execute @e[type=area_effect_cloud,tag=rh_optionMarker] ~ ~ ~ blockdata ~-1 ~ ~ {Text1:"",Text2:"[\"\",{\"text\":\">\",\"color\":\"gray\"}]",Text3:"[\"\",{\"text\":\"+1 Minute\",\"color\":\"gray\"}]"}
execute @e[type=armor_stand,tag=MASTER,score_tmp_min=16] ~ ~ ~ execute @e[type=area_effect_cloud,tag=rh_optionMarker] ~ ~ ~ blockdata ~-2 ~ ~ {Text1:"",Text2:"[\"\",{\"text\":\">>>\",\"color\":\"gray\"}]",Text3:"[\"\",{\"text\":\"+5 Minutes\",\"color\":\"gray\"}]"}

# function text:rabbit_hunt/options/time