# Author: Plagiatus
#
# Desc: handles hit rabbits as well as the spawning of new rabbits
#
# Called by: rabbit_hunt/main


# remove hit rabbits
scoreboard players tag @e[type=rabbit,tag=rh_fullHealth] remove rh_fullHealth
scoreboard players tag @e[type=rabbit,tag=!lobby] add rh_fullHealth {Health:3.0f}
execute @e[type=rabbit,tag=!rh_fullHealth] ~ ~ ~ tp @s[tag=!lobby] ~ -100 ~


# turn thrown items back into rabbits
scoreboard players tag @e[type=item] add rh_rabbit0 {OnGround:1b,Item:{id:"minecraft:golden_hoe",Damage:1s}}
scoreboard players tag @e[type=item] add rh_rabbit1 {OnGround:1b,Item:{id:"minecraft:golden_hoe",Damage:2s}}
scoreboard players tag @e[type=item] add rh_rabbit2 {OnGround:1b,Item:{id:"minecraft:golden_hoe",Damage:3s}}
scoreboard players tag @e[type=item] add rh_rabbit3 {OnGround:1b,Item:{id:"minecraft:golden_hoe",Damage:4s}}
scoreboard players tag @e[type=item] add rh_rabbit4 {OnGround:1b,Item:{id:"minecraft:golden_hoe",Damage:5s}}
scoreboard players tag @e[type=item] add rh_rabbit5 {OnGround:1b,Item:{id:"minecraft:golden_hoe",Damage:6s}}
scoreboard players tag @e[type=item] add rh_rabbitT {OnGround:1b,Item:{id:"minecraft:golden_hoe",Damage:7s}}
scoreboard players tag @e[type=item] add rh_rabbit {OnGround:1b,Item:{id:"minecraft:golden_hoe"}}

execute @e[type=item,tag=rh_rabbit0] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:0}
execute @e[type=item,tag=rh_rabbit1] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:1}
execute @e[type=item,tag=rh_rabbit2] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:2}
execute @e[type=item,tag=rh_rabbit3] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:3}
execute @e[type=item,tag=rh_rabbit4] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:4}
execute @e[type=item,tag=rh_rabbit5] ~ ~ ~ summon rabbit ~ ~ ~ {RabbitType:5}
execute @e[type=item,tag=rh_rabbitT] ~ ~ ~ summon rabbit ~ ~ ~ {CustomName:"Toast",RabbitType:10}

kill @e[type=item,tag=rh_rabbit]

# make captured rabbits return back 
scoreboard players remove #rh_rabbitTimer rh_timer 1
scoreboard players operation @e[type=armor_stand,tag=MASTER] tmp = #rh_rabbitTimer rh_timer
scoreboard players set #rh_tmp rh_timer 0
execute @a ~ ~ ~ scoreboard players add #rh_tmp rh_timer 1
scoreboard players set #rh_rabbitTimerCooldown rh_timer 400
scoreboard players operation #rh_rabbitTimerCooldown rh_timer /= #rh_tmp rh_timer
execute @e[type=armor_stand,tag=MASTER,score_tmp=0] ~ ~ ~ scoreboard players operation #rh_rabbitTimer rh_timer = #rh_rabbitTimerCooldown rh_timer
execute @e[type=armor_stand,tag=MASTER,score_tmp=0] ~ ~ ~ scoreboard players tag @r[type=rabbit,tag=rh_returned] add rh_bringBack
execute @e[type=armor_stand,tag=MASTER,score_tmp=0] ~ ~ ~ spreadplayers 484 2 5 10 false @e[type=rabbit,tag=rh_bringBack]
execute @e[type=armor_stand,tag=MASTER,score_tmp=0] ~ ~ ~ scoreboard players tag @r[type=rabbit,tag=rh_bringBack] remove rh_returned
execute @e[type=armor_stand,tag=MASTER,score_tmp=0] ~ ~ ~ scoreboard players tag @r[type=rabbit,tag=rh_bringBack] remove rh_bringBack

