# Author: Plagiatus
#
# Desc: handles everything that needs to be done to start the game
#
# Called by: a sign in the rabbit_hunt lobby, probably

# make sure objectives are present and reset 
scoreboard objectives add rh_hoeCount dummy
scoreboard objectives add rh_points dummy §6Caught Rabbits
scoreboard objectives add rh_scores dummy
scoreboard objectives add rh_timer dummy
scoreboard objectives add rh_preTimer dummy
scoreboard objectives add rh_villager stat.talkedToVillager

scoreboard players reset * rh_points
scoreboard players set @a rh_points 0
scoreboard players reset @a rh_villager
scoreboard objectives setdisplay sidebar rh_points

# set stats for players 
execute @a ~ ~ ~ stats entity @s set AffectedItems @s rh_hoeCount
scoreboard players set @a rh_hoeCount 0

# set title times 
title @a times 5 10 5

# set time limit
scoreboard players operation @e[type=armor_stand,tag=MASTER] rh_timer = #rh_timeLimit rh_timer
scoreboard players set @e[type=armor_stand,tag=MASTER] rh_preTimer 70

# add the tag that indicates this game is running
scoreboard players tag @e[type=armor_stand,tag=MASTER] add _rh_

# set barriers
fill 483 22 1 485 24 1 minecraft:barrier
fill 483 22 3 485 24 3 minecraft:barrier
fill 483 22 2 483 24 2 minecraft:barrier
fill 485 22 2 485 24 2 minecraft:barrier

# set players into adventure mode
gamemode adventure @a

# teleport players
tp @a 484 22 2 

# summon and spread rabbits
function rabbit_hunt:summon_rabbits

# say starting info
function text:rabbit_hunt/start_game

# add tag to show them ingame
scoreboard players tag @a add rh_ingame

# make players invisible for a second
effect @a invisibility 4