# Author: TheAl_T
#
# Desc: start this minigame
# 
# Called by: tron:signs/tp_lobby_sign

# Create main and options AEC
summon area_effect_cloud ~ ~ ~ {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_main"]}
summon area_effect_cloud ~ ~ ~ {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_options"]}

# Create board AECs
summon area_effect_cloud ~ ~ ~ {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_board"]}
summon area_effect_cloud ~ ~ ~ {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_board"]}
summon area_effect_cloud ~ ~ ~ {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_board"]}
summon area_effect_cloud ~ ~ ~ {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_board"]}
summon area_effect_cloud ~ ~ ~ {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_board"]}

# Create randomizers
summon area_effect_cloud ~ ~ ~ {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_random", "tr_random0"]}
summon area_effect_cloud ~ ~ ~ {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_random", "tr_random1"]}
summon area_effect_cloud ~ ~ ~ {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_random", "tr_random2"]}

# Create scoreboards
scoreboard objectives add tr_clustersR dummy
scoreboard objectives add tr_clustersW dummy
scoreboard objectives add tr_clusterR dummy
scoreboard objectives add tr_clusterW dummy
scoreboard objectives add tr_partAge dummy
scoreboard objectives add tr_maxLength dummy
scoreboard objectives add tr_timer dummy
scoreboard objectives add tr_time dummy
scoreboard objectives add tr_score dummy

# cleanup players
clear @a
gamemode 2 @a
scoreboard teams leave @a
scoreboard objectives setdisplay sidebar

# Create teams
scoreboard teams add tr_darkBlue
scoreboard teams option tr_darkBlue color dark_blue
scoreboard teams add tr_darkGreen
scoreboard teams option tr_darkGreen color dark_green
scoreboard teams add tr_darkRed
scoreboard teams option tr_darkRed color dark_red
scoreboard teams add tr_darkPurple
scoreboard teams option tr_darkPurple color dark_purple
scoreboard teams add tr_gold
scoreboard teams option tr_gold color gold
scoreboard teams add tr_darkGray
scoreboard teams option tr_darkGray color dark_gray
scoreboard teams add tr_blue
scoreboard teams option tr_blue color blue
scoreboard teams add tr_green
scoreboard teams option tr_green color green
scoreboard teams add tr_yellow
scoreboard teams option tr_yellow color yellow
scoreboard teams add tr_lightPurple
scoreboard teams option tr_lightPurple color light_purple
scoreboard teams add tr_cyan
scoreboard teams option tr_cyan color dark_aqua

# Init scoreboards
scoreboard players set @e[type=area_effect_cloud,tag=tr_options,c=1] tr_clustersR 50
scoreboard players set @e[type=area_effect_cloud,tag=tr_options,c=1] tr_clusterR 10
scoreboard players set @e[type=area_effect_cloud,tag=tr_options,c=1] tr_maxLength 20
scoreboard players set @e[type=area_effect_cloud,tag=tr_options,c=1] tr_timer 15

# Reset the signs
function tron:signs/num_of_hay_clusters
function tron:signs/cluster_size
function tron:signs/snake_length
function tron:signs/snake_speed
function tron:signs/mode_tron
function tron:signs/walls_kill
function tron:signs/powerups_enable

# sign reset fallback in case it fails
setblock 1 9 30 redstone_block

# Register in main clock
scoreboard players tag @e[type=armor_stand,tag=MASTER] add _tr_
