#----------------------------------------------------------------------------#
### PRNG Init
## Created By: Winter_Snake
## [prng:prng_init]
## Pseudo Random Number Generator - Initiation
## Last Edited: August 26,2017
## Working Version: Minecraft 1.12.1
#----------------------------------------------------------------------------#

## Setup PRNG Constants
scoreboard objectives add funcPRNG dummy
# -Create Var
scoreboard players add funcSeed funcPRNG 0
scoreboard players add funcOutp funcPRNG 0
scoreboard players set funcMult funcPRNG 16387
scoreboard players set funcBase funcPRNG 24000
scoreboard players set funcModu funcPRNG 131071
# -Create Base Numbers

## scoreboard objectives setdisplay sidebar funcPRNG
# -Displays PRNG layout and numbers

## Limit PRNG Range
## scoreboard players set funcRang funcPRNG <range>
# -Call this command before you run the prng_gen function to limit the output
# -Example: scoreboard players set funcRang funcPRNG 10 = [0,1,2,3,4,5,6,7,8,9] = (10)

## Query Random Seed
stats entity @s set QueryResult funcSeed funcPRNG
time query gametime