# Author: bananenbroek4
#
# Desc: Get direction that player is currently facing (i.e. north, east, south, west, up, down, middle)
#
# Called by: .../player/test_place_concrete


scoreboard players tag @s remove facing_north
scoreboard players tag @s remove facing_east
scoreboard players tag @s remove facing_south
scoreboard players tag @s remove facing_west
scoreboard players tag @s remove facing_up
scoreboard players tag @s remove facing_down
scoreboard players tag @s remove facing_straight

# Get horizontal orientations
scoreboard players tag @s[rym=135,ry=-136] add facing_north
scoreboard players tag @s[rym=-135,ry=-46] add facing_east
scoreboard players tag @s[rym=-45,ry=44] add facing_south
scoreboard players tag @s[rym=45,ry=134] add facing_west

# Get vertical orientations
scoreboard players tag @s[rxm=-90,rx=-46] add facing_down
scoreboard players tag @s[rxm=-45,rx=45] add facing_straight
scoreboard players tag @s[rxm=46,rx=90] add facing_up