# Author: General File, bananenbroek is responsible for the backend
# 
# Desc: convey the function flow to all the different areas of the game that need running at this time.
# 
# Called by: gameloop

function crafting_game:main if @e[type=armor_stand,name=MASTER,tag=_cg_]
function rabbit_hunt:main if @e[type=armor_stand,name=MASTER,tag=_rh_]
function egg_hunt:main if @e[type=armor_stand,name=MASTER,tag=_eh_]
function tron:main if @e[type=armor_stand,name=MASTER,tag=_tr_]
function egg_decration:main

function lobby:keep_rabbits_where_they_should_be
function lobby:keep_crops_alive

# Run if_interface sys
function system:if_interface/main

# effects
execute @e[type=armor_stand,name=MASTER,tag=!_cg_] ~ ~ ~ effect @a saturation 10 10 true

execute @e[type=armor_stand,name=MASTER,tag=!_cg_] ~ ~ ~ execute @s[tag=!_rh_] ~ ~ ~ effect @a weakness 5 5 true

# player reset 
execute @a[tag=!initiated] ~ ~ ~ function text:welcome
scoreboard players tag @a[score_leaveGame_min=1] remove initiated
execute @a[tag=!initiated] ~ ~ ~ function map:player_reset
function map:disconnect