# Author: bananenbroek4
#
# Desc: Main function ran to manage itemframe interface system
#
# Called by: ...

# ### Scores:
# - tmp0: LOCAL diff value (i.e. used for calculation)
# - tmp1: LOCAL rotation value after player interacts with setting interface 
# - tmp2: LOCAL rotation value to test against (0-7b)
# - tmp3: LOCAL setting value
# - tmp4: LOCAL maximum setting value


# Detect whether item in itemframe has been rotated
scoreboard players tag @e[type=item_frame,tag=__if_interface] add _update_setting {ItemRotation:1b}
scoreboard players tag @e[type=item_frame,tag=__if_interface] add _update {ItemRotation:1b}
entitydata @e[type=item_frame,tag=_update] {ItemRotation:0b}
# Trigger IF interaction reaction if rotation has been detected
execute @e[type=item_frame,tag=__if_interface] ~ ~ ~ function system:if_interface/if_trigger if @s[tag=_update]