# Author: TheAl_T
#
# Desc: Sets up and starts the game
#
# Called by: a sign in the lobby

# tell players what's going on
function text:tron/start_game

# remove the old powerups
kill @e[type=armor_stand,tag=tr_powerup]

# Get the options
execute @e[type=area_effect_cloud,tag=tr_main,c=1] ~ ~ ~ function tron:game_start/get_options
scoreboard players tag @a remove tr_flagTitle
scoreboard players tag @a remove tr_lost

kill @e[type=armor_stand,tag=tr_back,c=2]

# Generate the board
execute @e[type=area_effect_cloud,tag=tr_main,c=1] ~ ~ ~ function tron:board_generation/generate_board

# Create start positions
summon area_effect_cloud 17.5 62.0 513.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[-45.0f,0.0f]}
summon area_effect_cloud 17.5 62.0 542.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[-135.0f,0.0f]}
summon area_effect_cloud 46.5 62.0 542.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[135.0f,0.0f]}
summon area_effect_cloud 46.5 62.0 513.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[45.0f,0.0f]}
summon area_effect_cloud 31.5 77.0 513.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[0.0f,51.0f]}
summon area_effect_cloud 17.5 77.0 527.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[-90.0f,51.0f]}
summon area_effect_cloud 31.5 77.0 542.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[-180.0f,51.0f]}
summon area_effect_cloud 46.5 77.0 527.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[90.0f,51.0f]}
summon area_effect_cloud 46.5 48.0 527.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[90.0f,-38.0f]}
summon area_effect_cloud 31.5 48.0 513.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[0.0f,-38.0f]}
summon area_effect_cloud 17.5 48.0 527.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[-90.0f,-38.0f]}
summon area_effect_cloud 31.5 48.0 542.5 {Age:-2147483647,Particle:take,Tags:["tr_entity", "tr_start"],Rotation:[-180.0f,-38.0f]}

execute @r[tag=!tr_inGame,c=1] ~ ~ ~ function tron:game_start/init_player
kill @e[type=area_effect_cloud,tag=tr_start]

title @a times 0 500 0
function text:tron/generating
