# Author: TheAl_T
#
# Desc: Handles the movement
#
# Called by: tron:main_player, tron:game_start/1
# Executed as player[tag=tr_inGame] ~ ~1 ~

function tron:movement/place_block
function tron:movement/place_marker if @e[type=area_effect_cloud,tag=tr_flagSnake,c=1]

function tron:movement/move_player

# tp player if they are in a wall
scoreboard players tag @s[x=17,y=49,z=513,dx=29,dy=28,dz=29] add tr_inArena
execute @s[tag=!tr_inArena] ~ ~ ~ function tron:movement/tp_wall if @e[type=area_effect_cloud,tag=tr_flagTpWalls,c=1]
scoreboard players tag @s remove tr_inArena

function tron:movement/move_snake if @e[type=area_effect_cloud,tag=tr_flagSnake,c=1]

# Pickup a power-up
scoreboard players tag @s add tr_pickuper
execute @s ~ ~ ~ scoreboard players tag @e[type=armor_stand,tag=tr_powerup,dx=0,dy=0,dz=0] add tr_picked
execute @e[type=armor_stand,tag=tr_picked] ~ ~ ~ function tron:powerups/pickup
scoreboard players tag @s remove tr_pickuper

# Detect loss
scoreboard players tag @s add tr_lost
execute @s ~ ~1 ~ detect ~ ~ ~ glass 0 scoreboard players tag @s remove tr_lost
scoreboard players tag @s[tag=tr_lost] remove tr_inGame
function tron:game_end/lost if @s[tag=tr_lost]

scoreboard players add @s tr_score 1

